package com.engine.salary.mapper.push;

import com.engine.salary.entity.push.po.PushRecordPO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

public interface PushRecordMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<PushRecordPO> listAll();
    
    /**
     * 条件查询
     *
     * @return 返回集合，没有返回空List
     */
    List<PushRecordPO> listSome(PushRecordPO pushRecord);
    

	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	PushRecordPO getById(Long id);
	
	/**
     * 新增，忽略null字段
     *
     * @param pushRecord 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(PushRecordPO pushRecord);

	
	/**
     * 修改，修改所有字段
     *
     * @param pushRecord 修改的记录
     * @return 返回影响行数
     */
	int update(PushRecordPO pushRecord);
	
	/**
     * 修改，忽略null字段
     *
     * @param pushRecord 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(PushRecordPO pushRecord);
	
	/**
     * 删除记录
     *
     * @param pushRecord 待删除的记录
     * @return 返回影响行数
     */
	int delete(PushRecordPO pushRecord);
    
    /**
     * 批量删除记录
     * @param ids 主键id集合
     */
    void deleteByIds(@Param("ids") Collection<Long> ids);

	int countBeforeBatch(Long batchId);
	
}